import request from '@/utils/request'

export function getQualityPage(data) {
  return request({
    url: '/js-patrol/page',
    method: 'get',
    params: data
  })
}

export function getQualityList(data) {
  return request({
    url: '/js-patrol/list',
    method: 'post',
    data: data
  })
}

export function getQualityDetail(data) {
  return  request({
    url: '/js-patrol/listById',
    method: 'post',
    data: data
  })
}

export function addQualityPage(data) {
  return request({
    url: '/js-patrol/add',
    method: 'post',
    data: data
  })
}

export function editQualityPage(data) {
  return request({
    url: '/js-patrol/edit',
    method: 'post',
    data: data
  })
}

export function delQualityPage(data) {
  return request({
    url: '/js-patrol/delete',
    method: 'post',
    data: data
  })
}
